API-Referenz · 35 Endpunkte
Endpunkte
Alle Pfade relativ zu https://app.billingsuite.de/api/v1. Listen sind cursorbasiert: ?limit=50&cursor=…. Klicken Sie auf einen Endpunkt für ein Beispiel.
Konto
Informationen zum Schlüssel und Unternehmen.
GET/meUnternehmen, Benutzer und Rechte des Schlüsselskeine
- Recht des Schlüssels
- read
- Rolle
- keine
Beispielcurl "https://app.billingsuite.de/api/v1/me" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"
Kunden
Kunden anlegen, suchen und ändern. Löschen archiviert.
GET/customersKunden auflisten und suchen (?q=)customers:read
- Recht des Schlüssels
- read
- Rolle
- customers:read
Beispielcurl "https://app.billingsuite.de/api/v1/customers" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/customersKunden anlegencustomers:write
- Recht des Schlüssels
- write
- Rolle
- customers:write
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/customers" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'GET/customers/{id}Kunden abrufencustomers:read
- Recht des Schlüssels
- read
- Rolle
- customers:read
Beispielcurl "https://app.billingsuite.de/api/v1/customers/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"PATCH/customers/{id}Kunden änderncustomers:write
- Recht des Schlüssels
- write
- Rolle
- customers:write
Beispielcurl -X PATCH "https://app.billingsuite.de/api/v1/customers/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'DELETE/customers/{id}Kunden archivierencustomers:write
- Recht des Schlüssels
- write
- Rolle
- customers:write
Beispielcurl -X DELETE "https://app.billingsuite.de/api/v1/customers/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"
Produkte
Artikel und Leistungen für Positionen.
GET/productsProdukte auflistenproducts:read
- Recht des Schlüssels
- read
- Rolle
- products:read
Beispielcurl "https://app.billingsuite.de/api/v1/products" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/productsProdukt anlegenproducts:write
- Recht des Schlüssels
- write
- Rolle
- products:write
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/products" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'PATCH/products/{id}Produkt ändernproducts:write
- Recht des Schlüssels
- write
- Rolle
- products:write
Beispielcurl -X PATCH "https://app.billingsuite.de/api/v1/products/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'
Dokumente
Rechnungen, Angebote und alle weiteren Dokumenttypen. Nur Entwürfe sind änderbar.
GET/documentsDokumente auflisten (type, status, customerId, from, to, q)documents:read
- Recht des Schlüssels
- read
- Rolle
- documents:read
Beispielcurl "https://app.billingsuite.de/api/v1/documents" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/documentsEntwurf anlegendocuments:write
- Recht des Schlüssels
- write
- Rolle
- documents:write
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'GET/documents/{id}Dokument abrufendocuments:read
- Recht des Schlüssels
- read
- Rolle
- documents:read
Beispielcurl "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"PATCH/documents/{id}Entwurf änderndocuments:write
- Recht des Schlüssels
- write
- Rolle
- documents:write
Beispielcurl -X PATCH "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'DELETE/documents/{id}Entwurf löschendocuments:write
- Recht des Schlüssels
- write
- Rolle
- documents:write
Beispielcurl -X DELETE "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/documents/{id}/finalizeAbschließen und Nummer vergebendocuments:finalize
- Recht des Schlüssels
- finalize
- Rolle
- documents:finalize
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/finalize" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'POST/documents/{id}/sendPer E-Mail versendendocuments:send
- Recht des Schlüssels
- send
- Rolle
- documents:send
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/send" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'POST/documents/{id}/cancelStornieren (Stornorechnung)documents:cancel
- Recht des Schlüssels
- finalize
- Rolle
- documents:cancel
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/cancel" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'POST/documents/{id}/convertUmwandeln, zum Beispiel Angebot in Rechnungdocuments:write
- Recht des Schlüssels
- write
- Rolle
- documents:write
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/convert" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'POST/documents/{id}/credit-noteRechnungskorrektur als Entwurfdocuments:write
- Recht des Schlüssels
- write
- Rolle
- documents:write
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/credit-note" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'GET/documents/{id}/pdfPDF herunterladen (?link=1 für signierten Link)documents:read
- Recht des Schlüssels
- read
- Rolle
- documents:read
Beispielcurl "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/pdf" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"GET/documents/{id}/xmlE-Rechnung als XML (?format=xrechnung_cii)documents:read
- Recht des Schlüssels
- read
- Rolle
- documents:read
Beispielcurl "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/xml" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/documents/{id}/peppolPeppol-UBL erzeugendocuments:send
- Recht des Schlüssels
- send
- Rolle
- documents:send
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/peppol" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'
Zahlungen
Zahlungen erfassen und stornieren. Gelöscht wird nichts.
GET/paymentsZahlungen auflistenpayments:read
- Recht des Schlüssels
- read
- Rolle
- payments:read
Beispielcurl "https://app.billingsuite.de/api/v1/payments" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/documents/{id}/paymentsZahlung erfassenpayments:write
- Recht des Schlüssels
- write
- Rolle
- payments:write
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/documents/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18/payments" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'DELETE/payments/{id}Zahlung stornieren (mit reason)payments:write
- Recht des Schlüssels
- write
- Rolle
- payments:write
Beispielcurl -X DELETE "https://app.billingsuite.de/api/v1/payments/4b7e9c02-1d3a-4f55-8e21-6a0c9b3d7f18" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"
Mahnwesen und Serien
Mahnvorschläge, Mahnungen und Serienrechnungen.
GET/dunning/candidatesVorschlag für den Mahnlaufdunning:read
- Recht des Schlüssels
- read
- Rolle
- dunning:read
Beispielcurl "https://app.billingsuite.de/api/v1/dunning/candidates" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/dunning/noticesMahnung erstellendunning:run
- Recht des Schlüssels
- write
- Rolle
- dunning:run
- Idempotency-Key
- unterstützt
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/dunning/notices" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Idempotency-Key: $(uuidgen)" \ -H "Content-Type: application/json" \ -d '{ … }'GET/recurring-profilesSerienrechnungen auflistenrecurring:read
- Recht des Schlüssels
- read
- Rolle
- recurring:read
Beispielcurl "https://app.billingsuite.de/api/v1/recurring-profiles" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/recurring-profilesSerienrechnung anlegenrecurring:write
- Recht des Schlüssels
- write
- Rolle
- recurring:write
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/recurring-profiles" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'
Auswertungen und Stammdaten
Offene Posten, Umsatz, Steuersätze, Nummernkreise, Vorlagen.
GET/reports/receivablesOffene Posten nach Fälligkeitanalytics:read
- Recht des Schlüssels
- read
- Rolle
- analytics:read
Beispielcurl "https://app.billingsuite.de/api/v1/reports/receivables" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"GET/reports/revenueUmsatz (from, to, basis)analytics:read
- Recht des Schlüssels
- read
- Rolle
- analytics:read
Beispielcurl "https://app.billingsuite.de/api/v1/reports/revenue" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"GET/tax-ratesSteuersätzesettings:read
- Recht des Schlüssels
- read
- Rolle
- settings:read
Beispielcurl "https://app.billingsuite.de/api/v1/tax-rates" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"GET/number-rangesNummernkreisesettings:read
- Recht des Schlüssels
- read
- Rolle
- settings:read
Beispielcurl "https://app.billingsuite.de/api/v1/number-ranges" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"GET/templatesVorlagentemplates:read
- Recht des Schlüssels
- read
- Rolle
- templates:read
Beispielcurl "https://app.billingsuite.de/api/v1/templates" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY"POST/extract/customerKundendaten aus Dokument erkennen (multipart)ai:use
- Recht des Schlüssels
- write
- Rolle
- ai:use
Beispielcurl -X POST "https://app.billingsuite.de/api/v1/extract/customer" \ -H "Authorization: Bearer $BILLINGSUITE_API_KEY" \ -H "Content-Type: application/json" \ -d '{ … }'